Bug 1001433 - Error running eustore-install-image on CentOS 6.4
Error running eustore-install-image on CentOS 6.4
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: euca2ools (Show other bugs)
el6
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Garrett Holmstrom
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-27 00:10 EDT by David Kavanagh
Modified: 2013-10-19 14:02 EDT (History)
3 users (show)

See Also:
Fixed In Version: python-boto-2.13.3-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-18 15:55:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Kavanagh 2013-08-27 00:10:49 EDT
Description of problem:
eustore-install-image (2.1.3) produces this error when I run on CentOS 6.4
'LocalRegister' object has no attribute 'virtualization_type'


Version-Release number of selected component (if applicable):
euca2ools (2.1.3)
python-boto (2.9.9)

How reproducible:
It happens each time I run the tool, right after uploading the ramdisk.


Steps to Reproduce:
1. run euca-install-image
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Fedora Update System 2013-09-26 21:10:39 EDT
python-boto-2.13.3-1.fc20,euca2ools-2.1.4-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-boto-2.13.3-1.fc20,euca2ools-2.1.4-1.fc20
Comment 2 Fedora Update System 2013-09-26 21:12:31 EDT
python-boto-2.13.3-1.fc19,euca2ools-2.1.4-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-boto-2.13.3-1.fc19,euca2ools-2.1.4-1.fc19
Comment 3 Fedora Update System 2013-09-26 21:13:40 EDT
python-boto-2.13.3-1.fc18,euca2ools-2.1.4-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-boto-2.13.3-1.fc18,euca2ools-2.1.4-1.fc18
Comment 4 Fedora Update System 2013-09-26 21:15:10 EDT
python-boto-2.13.3-1.el6,euca2ools-2.1.4-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-boto-2.13.3-1.el6,euca2ools-2.1.4-1.el6
Comment 5 Fedora Update System 2013-09-27 20:22:54 EDT
Package python-boto-2.13.3-1.fc19, euca2ools-2.1.4-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-boto-2.13.3-1.fc19 euca2ools-2.1.4-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-17858/python-boto-2.13.3-1.fc19,euca2ools-2.1.4-1.fc19
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2013-10-15 02:29:53 EDT
python-boto-2.13.3-1.fc20, euca2ools-2.1.4-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2013-10-18 15:37:35 EDT
python-boto-2.13.3-1.fc18, euca2ools-2.1.4-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2013-10-18 15:55:31 EDT
python-boto-2.13.3-1.fc19, euca2ools-2.1.4-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2013-10-19 14:02:22 EDT
python-boto-2.13.3-1.el6, euca2ools-2.1.4-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.